Loading...
Searching...
No Matches
logger_pydoc_template.h File Reference
`#include "pydoc_macros.h"`
Include dependency graph for logger_pydoc_template.h:

Go to the source code of this file.

## Macros

#define | D(...)

## Variables

static const char * | __doc_gr_logger = R"doc()doc"
static const char * | __doc_gr_logger_logger = R"doc()doc"
static const char * | __doc_gr_logger_set_level = R"doc()doc"
static const char * | __doc_gr_logger_get_level = R"doc()doc"
static const char * | __doc_gr_logger_get_string_level = R"doc()doc"
static const char * | __doc_gr_logger_trace = R"doc()doc"
static const char * | __doc_gr_logger_debug = R"doc()doc"
static const char * | __doc_gr_logger_info = R"doc()doc"
static const char * | __doc_gr_logger_notice = R"doc()doc"
static const char * | __doc_gr_logger_warn = R"doc()doc"
static const char * | __doc_gr_logger_error = R"doc()doc"
static const char * | __doc_gr_logger_crit = R"doc()doc"
static const char * | __doc_gr_logger_alert = R"doc()doc"
static const char * | __doc_gr_logger_fatal = R"doc()doc"
static const char * | __doc_gr_logger_emerg = R"doc()doc"
static const char * | __doc_gr_logger_log = R"doc()doc"
static const char * | __doc_gr_logging_singleton = R"doc()doc"
static const char * | __doc_gr_logging_default_level = R"doc()doc"
static const char * | __doc_gr_logging_set_default_level = R"doc()doc"
static const char * | __doc_gr_logging_debug_level = R"doc()doc"
static const char * | __doc_gr_logging_set_debug_level = R"doc()doc"
static const char * | __doc_gr_logging_add_default_sink = R"doc()doc"
static const char * | __doc_gr_logging_add_debug_sink = R"doc()doc"
static const char * | __doc_gr_logging_add_default_console_sink = R"doc()doc"
static const char * | __doc_gr_logging_add_debug_console_sink = R"doc()doc"
static const char * | __doc_gr_logging_default_pattern = R"doc()doc"

## Macro Definition Documentation

## D

#define D | ( |  | ... | ) |

Value:
DOC(gr, __VA_ARGS__)
DOC
#define DOC(...)
Definition docs/doxygen/pydoc_macros.h:17
gr
GNU Radio logging wrapper.
Definition basic_block.h:29

## Variable Documentation

## __doc_gr_logger

const char* __doc_gr_logger = R"doc()doc"

static

## __doc_gr_logger_alert

const char* __doc_gr_logger_alert = R"doc()doc"

static

## __doc_gr_logger_crit

const char* __doc_gr_logger_crit = R"doc()doc"

static

## __doc_gr_logger_debug

const char* __doc_gr_logger_debug = R"doc()doc"

static

## __doc_gr_logger_emerg

const char* __doc_gr_logger_emerg = R"doc()doc"

static

## __doc_gr_logger_error

const char* __doc_gr_logger_error = R"doc()doc"

static

## __doc_gr_logger_fatal

const char* __doc_gr_logger_fatal = R"doc()doc"

static

## __doc_gr_logger_get_level

const char* __doc_gr_logger_get_level = R"doc()doc"

static

## __doc_gr_logger_get_string_level

const char* __doc_gr_logger_get_string_level = R"doc()doc"

static

## __doc_gr_logger_info

const char* __doc_gr_logger_info = R"doc()doc"

static

## __doc_gr_logger_log

const char* __doc_gr_logger_log = R"doc()doc"

static

## __doc_gr_logger_logger

const char* __doc_gr_logger_logger = R"doc()doc"

static

## __doc_gr_logger_notice

const char* __doc_gr_logger_notice = R"doc()doc"

static

## __doc_gr_logger_set_level

const char* __doc_gr_logger_set_level = R"doc()doc"

static

## __doc_gr_logger_trace

const char* __doc_gr_logger_trace = R"doc()doc"

static

## __doc_gr_logger_warn

const char* __doc_gr_logger_warn = R"doc()doc"

static

## __doc_gr_logging_add_debug_console_sink

const char* __doc_gr_logging_add_debug_console_sink = R"doc()doc"

static

## __doc_gr_logging_add_debug_sink

const char* __doc_gr_logging_add_debug_sink = R"doc()doc"

static

## __doc_gr_logging_add_default_console_sink

const char* __doc_gr_logging_add_default_console_sink = R"doc()doc"

static

## __doc_gr_logging_add_default_sink

const char* __doc_gr_logging_add_default_sink = R"doc()doc"

static

## __doc_gr_logging_debug_level

const char* __doc_gr_logging_debug_level = R"doc()doc"

static

## __doc_gr_logging_default_level

const char* __doc_gr_logging_default_level = R"doc()doc"

static

## __doc_gr_logging_default_pattern

const char* __doc_gr_logging_default_pattern = R"doc()doc"

static

## __doc_gr_logging_set_debug_level

const char* __doc_gr_logging_set_debug_level = R"doc()doc"

static

## __doc_gr_logging_set_default_level

const char* __doc_gr_logging_set_default_level = R"doc()doc"

static

## __doc_gr_logging_singleton

const char* __doc_gr_logging_singleton = R"doc()doc"

static